div.form_container {
    display: grid;
    grid-template-columns: auto 440px;
    margin: 48px;
    grid-gap: 1px;
    border-radius: 16px;
    overflow: hidden;
    width: calc(100% - 96px);
}
div.form_container h2 {
    font-size: 32px;
    font-family: var(--special-font);
    text-transform: uppercase;
    line-height: 48px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 8px;
}
div.form_container h2:after {
    width: 48px;
    height: 1px;
    display: block;
    background: var(--gradient);
    content: " ";
}
div.form_container h3 {
    font-size: 21px;
    font-family: var(--special-font);
    text-transform: uppercase;
    line-height: 32px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 0px;
    border: 0;
}
div.form_container h3:after {
    width: 48px;
    height: 1px;
    display: block;
    background: var(--gradient);
    content: " ";
}

div.form_container > form#myForm {
    max-width: none !important;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 24px;
    background: var(--transp_1);
}

div.form_container > div.form_code {
    padding: 24px;
    display: flex;
    background: var(--neutral_1);
    flex-direction: column;
    gap: 16px;
}
div.form_container > div.form_code > span {
    font-size: 10px;
    line-height: 16px;
    color: var(--tx_content);
    opacity: 0.7;
}
div.code_box {
    background: var(--neutral_2);
    border-radius: 8px;
    padding: 12px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: flex-end;
}
div.code_box  button#copyButton {
    font-size: 10px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    color: var(--co2);
    display: flex;
    gap: 4px;
}
div.code_box pre#jsonOutput {
    width: 100%;
    font-size: 12px;
    text-wrap: wrap;
    padding: 12px;
    background: var(--neutral_1);
    border-radius: 4px;
    overflow-x: auto;
}
div.code_box pre#jsonOutput::-webkit-scrollbar{ height: 1px; }
div.code_box pre#jsonOutput::-webkit-scrollbar-thumb{ background: var(--gradient); }


div.form_container form#myForm input[type="text"], 
div.form_container form#myForm input[type="number"],
div.form_container form#myForm input[type="url"],
div.form_container form#myForm .inputbox, 
div.form_container form#myForm select {
    background-color: var(--neutral_1);
    color: var(--tx_content);
    border-bottom: 0px;
    cursor: text;
    font-size: 14px;
    line-height: 24px;
    height: 40px;
    border-radius: 4px;
    padding: 8px;
    width: 100%;
}
div.form_container form#myForm label,
div.form_container form#myForm legend {
    color: var(--tx_contrast);
    font-size: 10px;
    letter-spacing: 0.5px;
    font-weight: 600;
    text-transform: uppercase;
}

div.formsection1,
div.formsection2,
div.formsection3,
div.formsection4,
div.formsection5 {
    padding: 16px;
    background: var(--transp_1);
    border-radius: 16px;
}

div.formsection1 {
    display: grid;
    grid-gap: 16px;
    grid-template-columns: repeat(6, 1fr);
}
div.formsection1 > div,
div.formsection2 > div,
div.formsection3 > div,
div.formsection4 > div{
    display: flex;
    flex-direction: column;
    gap: 8px;
}
div.formsection1 > div:nth-of-type(1),
div.formsection1 > div:nth-of-type(3) { grid-column: 1/3; }
div.formsection1 > div:nth-of-type(2) { grid-column: 3/5; }
div.formsection1 > div:nth-of-type(4) { grid-column: 3/7; }
div.formsection1 > div:nth-of-type(5) { grid-column: 1/4; }
div.formsection1 > div:nth-of-type(6) { grid-column: 4/7; }

div.formsection1 fieldset > div {
    height: 40px;
    display: flex;
    align-items: end;
    gap: 16px;
}
div.formsection1 fieldset > div > label,
div.formsection3 fieldset > div > div > label {
    font-weight: normal !important;
    font-size: 13px !important;
    color: var(--tx_content) !important;
    text-transform: none !important;
    letter-spacing: 0 !important;
    display: flex;
    line-height: 24px !important;
    gap: 8px;
    align-items: center !important;
}

input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  background-color: var(--neutral_1);
  margin: 0;
  font: inherit;
  width: 20px;
  height: 20px;
  border: 1px solid rgba(var(--tx_content_rgb), 0.3);
  border-radius: 4px;
  display: grid;
  place-content: center;
}
input[type="checkbox"]::before {
  content: "";
  width: 12px;
  height: 12px;
  transform: scale(0);
  border-radius: 2px;
  transition: var(--transi);
  background-color: var(--co2);
  transform-origin: center;
}
input[type="checkbox"]:checked::before {
  transform: scale(1);
}

div.formsection2 {
    display: grid;
    grid-gap: 16px;
    grid-template-columns: repeat(4, 1fr);
}

div.formsection3 {
    display: grid;
    grid-gap: 16px;
    grid-template-columns: repeat(4, 1fr);
}
div.formsection3 > div:nth-of-type(1) { grid-column: 1/5; }
div.formsection3 > div:nth-of-type(2) { grid-column: 1/3; }
div.formsection3 > div:nth-of-type(3) { grid-column: 3/5; }
div.formsection3 > fieldset {
    display: flex;
    flex-direction: column;
    gap: 8px;
    grid-column: 1/5;
}
div.formsection3 > fieldset > legend {
    margin-bottom: 8px;
}
div.formsection3 > fieldset > div#occupation {
    display: grid;
    grid-gap: 8px 16px;
    grid-template-columns: repeat(3, 1fr);
}
div.formsection3 > fieldset > div#occupation > div {
    display: flex;
    gap: 8px;
    align-items: center;
}


div.formsection4 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 16px;
}

div.formsection5 {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
div.formsection5 > div {
    display: grid;
    grid-template-columns: 200px auto;
    align-items: center;
}

div.form_container form#myForm button, 
div.form_container form#myForm button:visited, 
div.form_container form#myForm button:active {
    display: inline-block;
    font-size: 10px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    color: white!important;
    line-height: var(--spacing-md);
    padding: var(--spacing-xs) var(--spacing);
    border-radius: var(--spacing-xs);
    margin: var(--spacing) auto 0px auto;
    transition: var(--transi);
    border-width: initial;
    border-style: none;
    border-color: initial;
    border-image: initial;
    background-image: linear-gradient(90deg, var(--co1), var(--co2), var(--co1));
    background-size: 200% 100%;
    background-position: 0% 0%;
    box-shadow: none;
    transform: scale(1);
    transform-origin: center;
}
div.form_container form#myForm button:hover {
    color: white!important;
    background-position: 100% 0%;
    box-shadow: var(--boxshadow);
    transform: scale(1.025);
}
div#charCountMessage {
    font-size: 12px;
    color: red;
}
div#charCountMessage:empty{ display: none; }

span.hint {
    font-size: 10px;
    line-height: 16px;
    color: var(--tx_content);
    opacity: 0.5;
}

div.form_container div.formsection1 h3 { grid-column: 1/7; }
div.form_container div.formsection2 h3 { grid-column: 1/5; }
div.form_container div.formsection3 h3 { grid-column: 1/5; }
div.form_container div.formsection4 h3 { grid-column: 1/3; }
